﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Devices.Geolocation;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Proyecto35
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void Button_Click(System.Object sender, RoutedEventArgs e)
        {
            Geolocator geolocator1 = new Geolocator();

            Geoposition geopositiona1 = await geolocator1.GetGeopositionAsync();
            string latitude = geopositiona1.Coordinate.Point.Position.Latitude.ToString();
            string longitude = geopositiona1.Coordinate.Point.Position.Longitude.ToString();

            string direccion = latitude + "," + longitude;
            string mapa = "http://maps.googleapis.com/maps/api/staticmap?center=" + direccion + "&zoom=14&size=500x500&sensor=false&scale=2";

            Uri uri1 = new Uri(mapa);
            webView1.Navigate(uri1);

        }
    }
}